Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Mac OS X libBLAS error



  • dyld: Library not loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    Referenced from: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    Reason: Incompatible library version: vecLib requires version 1.0.0 or later, but libopenblasp-r0.3.4.dylib provides version 0.0.0


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    What version of Qt are you using ?
    On what version of macOS ?
    How are you linking to that framework ?
    Did you install anything related to blas ?



  • @SGaist said in Mac OS X libBLAS error:

    Hi and welcome to devnet,

    What version of Qt are you using ?
    On what version of macOS ?
    How are you linking to that framework ?
    Did you install anything related to blas ?

    QT += core

    CONFIG += console
    CONFIG += sdk_no_version_check

    INCLUDEPATH += /usr/local/Cellar/armadillo/9.100.5_2/include/
    /usr/local/Cellar/open-mpi/4.0.0/include/
    /usr/local/Cellar/boost/1.68.0/include/
    /Users/konstantin/dlib/
    /usr/local/Cellar/hdf5/1.10.4/include/
    /usr/local/Cellar/openblas/0.3.4/include/
    /usr/local/Cellar/lapack/3.8.0_1/include/
    /usr/local/Cellar/boost/1.68.0/include/
    /usr/local/Cellar/superlu/5.2.1_3/include/
    /usr/local/Cellar/superlu/5.2.1_3/include/
    /opt/X11/include/
    /usr/local/Cellar/pth/2.0.7/include/

    DEFINES += QT_DEPRECATED_WARNINGS

    SOURCES +=
    main.cpp
    ../../../dlib/dlib/all/source.cpp

    LIBS += -L/usr/local/Cellar/armadillo/9.100.5_2/lib/
    LIBS += -larmadillo
    LIBS += -L/usr/local/Cellar/open-mpi/4.0.0/lib/
    LIBS += -lmpi
    LIBS += -L/usr/local/Cellar/openblas/0.3.4/lib/
    LIBS += -lblas
    LIBS += -L/usr/local/Cellar/lapack/3.8.0_1/lib/
    LIBS += -llapack
    LIBS += -L/usr/local/Cellar/superlu/5.2.1_3/lib/
    LIBS += -lsuperlu
    LIBS += -L/usr/local/Cellar/hdf5/1.10.4/lib/
    LIBS += -lhdf5
    LIBS += -L/opt/X11/lib/
    LIBS += -lx11
    LIBS += -L/usr/local/Cellar/pth/2.0.7/lib/
    LIBS += -lpthread

    MAC OS X 10.14.2
    Qt 5.11.2
    QtCreator 4.7.1


  • Lifetime Qt Champion

    Looks like you have something that is linking to the Accelerate framework. What happens if you don't explicitly link to to OpenBLAS ?


Log in to reply